Upload the fingerprint file using the REST API call

Prev Next

Use the fileUpload API call to request ePO - On-prem to copy the fingerprint file from the shared storage location to the configured evidence share folder. The fingerprint file in the normalized and hashed format is copied to the evidence share in an asynchronous manner.

fileUpload API request

Example: curl -k -v -F "path=<Shared_Storage_location_file.props>" -F "username=<username>" -F "password=<password>" -X POST https://<epo_server_name>:port/rest/dlp/classification/EDM/fileUpload -u "admin:<password>"

Where, the parameters to -F option are passed in the "field=value pair" format, <Shared_Storage_location_file.props> is the shared storage location path of your Windows or Linux system. If the shared storage authentication parameters aren't provided, it tries using ePO - On-prem authentication. -u is used to pass the authorization details of the ePO - On-prem server, and epo_server_name:port is the ePO - On-prem server IP address (or the host name) and port number. By default, the port number is 8443. Specify -X to add the request method. You can use the -v option in the command line to see the content details.

Request parameters

Input parameters

Use these input parameters with the -F option to specify the details of the shared storage (CIFS) location and its credentials in the "field=value pair" format. Using -F adds Content-Type of encryption_type="multipart/form-data" to the request.

Parameter name

Description

Required

path

Shared storage path including the .props file

Example (Windows): \\\\server\\Clouduser\\Downloads\\EDM-1MRows.props

Example (Linux): //server/Clouduser/Downloads/EDM-1MRows.props

Required

username

User credentials of the shared storage location

password

Authorization parameters

Use these parameters with -u to specify the authorization details of ePO - On-prem.

Parameter name

Description

Required

Type

username

ePO - On-prem user credentials

Required

Basic Auth

password

Required

Basic Auth

Response parameters

The parameters returned for the fileUpload API request are:

Element

Description

status

Shows the status of the uploaded fingerprint file. The status field shows one of these values:

  • In Progress

  • Completed

  • Failed

fileId

GUID of the uploaded file.

error

Returns a 4xx error with one of these messages based on the issue:

  • Test connection Failed

  • Test connection Failed, Log-on failure: unknown user name or bad password

  • The dis file with the file name {file name}does not exist

  • The input file {dis file name} is currently being uploaded. Please try after sometime.

  • The input file {dis file name} is already uploaded

  • The columns list do not match for the props file of {dis file name}

Status code

List of HTTP status codes returned for the fileUpload request,

Code

Description

200 OK

Fingerprint file upload is successful. The status field shows one of these values:

  • In Progress

  • Completed

  • Failed

400 Bad Request

  • API call with invalid shared storage path.

  • When the fingerprint file is uploaded in the evidence share and you try to reupload the same file.

  • When you upload an updated fingerprint file (revisions made to the same file) with a change to the column order, column names, or number of columns. You must re-create the fingerprint file for any of these changes and then re-create the content classification criteria.

403 Forbidden

API call with invalid shared storage location credentials.

404 Not Found

The shared storage location entered in the API call doesn't contain the .props file or the .dis file.

409 Conflict

When you try to upload a file that is being uploaded to the evidence share.